aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-21 22:10:08 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-21 22:10:08 +1200
commit1c792276fafe1f1c8a0d7ebbf103fabfc9a1e132 (patch)
tree2a1412d7c7a65e9eb31f413652787cd5836ed595 /sh/shrc.d
parentMany stylistic fixes/optimisations (diff)
downloaddotfiles-1c792276fafe1f1c8a0d7ebbf103fabfc9a1e132.tar.gz
dotfiles-1c792276fafe1f1c8a0d7ebbf103fabfc9a1e132.zip
Distill/fix keychain handling a bit
Diffstat (limited to 'sh/shrc.d')
-rw-r--r--sh/shrc.d/keychain.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/sh/shrc.d/keychain.sh b/sh/shrc.d/keychain.sh
index 82f83473..e625d704 100644
--- a/sh/shrc.d/keychain.sh
+++ b/sh/shrc.d/keychain.sh
@@ -1,3 +1,4 @@
-# If GPG_TTY is set, update it
-[ -n "$GPG_TTY" ] || return
+# If GPG_AGENT_INFO is set, update GPG_TTY for clean use of pinentry(1) etc
+[ -n "$GPG_AGENT_INFO" ] || return
GPG_TTY=$(tty)
+export GPG_TTY